Skip to main content
Announcements
Qlik Connect 2024! Seize endless possibilities! LEARN MORE
cancel
Showing results for 
Search instead for 
Did you mean: 
jbchurchill
Creator
Creator

Versions in QAP vs QSE

We have an older version running in our QAP platform than we have currently running for our Qlik Sense Enterprise (QSE) server. Does the version on one affect the other? If we upgraded the QAP to a newer version than we have on our QSE, would it matter (our setup is a single node QSE install but we have a separate server for the QAP and NPrinting, GeoAnalytics etc.).

Labels (2)
2 Solutions

Accepted Solutions
RafaelBarrios
Partner - Specialist
Partner - Specialist

hi @jbchurchill 

You shouldn't have a problem and I've been there.

Considering that you are going to develop in enterprise and publish in QAP, i dont see problem beyond some small visual changes you may find


In the reverse order you may have a problem because you would develop with new options to publish in a version that may not have the same options

Best,

 

help users find answers! Don't forget to mark a solution that worked for you & to smash the like button! 😊

View solution in original post

Chip_Matejowsky
Support
Support

Hi @jbchurchill,

First, you'll want to ensure that the build versions of NPrinting and GeoAnalytics are still in compliance for Support.

Then, suggest that you check the NPrinting Engine System Requirements for the version you're currently running as it will provide you the compatible Qlik Sense build versions. For example, for NPrinting May 2023, the compatible Qlik Sense versions are as follows:

Minimum supported version is Qlik Sense Enterprise on Windows August 2021
Maximum supported version is Qlik Sense Enterprise on Windows August 2023

You can check GeoAnalytics compatibility with Qlik Sense in the GeoAnalytics for Qlik Sense supported versions Help entry. GeoAnalytics version May 2023 supports the following Qlik Sense versions:  August 2023, May 2023, February 2023, November 2022, August 2022, May 2022, February 2022, November 2021, August 2021.

Best Regards

Principal Technical Support Engineer with Qlik Support
Help users find answers! Don't forget to mark a solution that worked for you!

View solution in original post

4 Replies
RafaelBarrios
Partner - Specialist
Partner - Specialist

hi @jbchurchill 

You shouldn't have a problem and I've been there.

Considering that you are going to develop in enterprise and publish in QAP, i dont see problem beyond some small visual changes you may find


In the reverse order you may have a problem because you would develop with new options to publish in a version that may not have the same options

Best,

 

help users find answers! Don't forget to mark a solution that worked for you & to smash the like button! 😊

jbchurchill
Creator
Creator
Author

Thanks - That helps me to get comfortable with upgrading both servers to the latest. Is there anything I need to consider regarding getting our NPrinting and GeoAnalytics Servers? Do they need to be upgraded at the same time (or at all)?

Chip_Matejowsky
Support
Support

Hi @jbchurchill,

First, you'll want to ensure that the build versions of NPrinting and GeoAnalytics are still in compliance for Support.

Then, suggest that you check the NPrinting Engine System Requirements for the version you're currently running as it will provide you the compatible Qlik Sense build versions. For example, for NPrinting May 2023, the compatible Qlik Sense versions are as follows:

Minimum supported version is Qlik Sense Enterprise on Windows August 2021
Maximum supported version is Qlik Sense Enterprise on Windows August 2023

You can check GeoAnalytics compatibility with Qlik Sense in the GeoAnalytics for Qlik Sense supported versions Help entry. GeoAnalytics version May 2023 supports the following Qlik Sense versions:  August 2023, May 2023, February 2023, November 2022, August 2022, May 2022, February 2022, November 2021, August 2021.

Best Regards

Principal Technical Support Engineer with Qlik Support
Help users find answers! Don't forget to mark a solution that worked for you!
RafaelBarrios
Partner - Specialist
Partner - Specialist

Agreed with @Chip_Matejowsky 

be sure both, your QAP and QSE are compatible with Geo and Nprinting

RafaelBarrios_1-1694097953461.png

 

RafaelBarrios_2-1694097992085.png

once you upgrade GeoAnalytics server, remember to upgrade extension package in both environments.

 

best,

help users find answers! Don't forget to mark a solutions that worked for you & to smash the like button!  😁